package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolPresetPos;
import com.inspect.patrol.domain.PatrolPresetPosSlim;
import com.inspect.patrol.vo.CameraVo;
import org.springframework.dao.DataAccessException;

import java.util.List;

public interface IPatrolPresetPosService {
    List<PatrolPresetPos> selectListByDeviceId(String deviceId);

    PatrolPresetPos selectPatrolPresetPosByPresetPosId(String presetPosId);

    void removeBasePresetByPresetPosId(Long presetPosId);

    List<PatrolPresetPos> selectPatrolPresetPosByPatrolPointId(String patrolPointId);

    List<PatrolPresetPos> selectPatrolPresetPosList(PatrolPresetPos patrolPresetPos);

    List<CameraVo> selectCameraByChannelType(String channelType);

    List<PatrolPresetPos> selectPresetCodeByChannelCode(PatrolPresetPos patrolPresetPos);

    PatrolPresetPosSlim selectPresetCodeSlimByPatrolPointId(PatrolPresetPosSlim patrolPresetPosSlim);

    int insertPatrolPresetPos(PatrolPresetPos patrolPresetPos);

    int updatePatrolPresetPos(PatrolPresetPos patrolPresetPos);

    int deletePatrolPresetPosByPresetPosId(Long[] presetPosIds);

    List<PatrolPresetPos> selectPatrolPresetPosListByIds(Long[] presetPosIds);
}
